import type { RenderContext } from "../../Renderer.js";
import { TargetLanguage } from "../../TargetLanguage.js";
import { PikeRenderer } from "./PikeRenderer.js";
export declare const pikeOptions: {};
export declare const pikeLanguageConfig: {
    readonly displayName: "Pike";
    readonly names: readonly ["pike", "pikelang"];
    readonly extension: "pmod";
};
export declare class PikeTargetLanguage extends TargetLanguage<typeof pikeLanguageConfig> {
    constructor();
    getOptions(): {};
    protected makeRenderer(renderContext: RenderContext): PikeRenderer;
}
